#
# spec file for package pcmanfm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pcmanfm
Version:        1.2.5
Release:        lp152.3.6
Summary:        The next generation LXDE file manager
License:        GPL-2.0+
Group:          Productivity/File utilities
Url:            http://www.lxde.org/
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libfm) >= 1.0
BuildRequires:  pkgconfig(libfm-gtk) >= 1.0.1
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(x11)
# needed for trash
Requires:       gvfs
Requires:       gvfs-backends
Requires:       libfm
# needed to mount devices
Requires:       menu-cache
Requires:       polkit-gnome
# needed to switch to root
Requires:       xdg-utils
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%lang_package


%description
An extremly fast, lightweight, yet feature-rich
file manager with tabbed browsing. It's also the
LXDE default file manager. This is a complete
rewrite of the old pcmanfm 0.5.x series


%package devel
Summary:        Devel files for PCManFM
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       gtk2-devel
Requires:       libfm-gtk4 >= %{version}
Requires:       libfm4 >= %{version}
Requires:       pkg-config


%description devel
Development files for PCManFM.


%prep
%setup   -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install
# no user-desktop in hicolor icon theme
sed -i "3d" %{buildroot}%{_datadir}/applications/pcmanfm-desktop-pref.desktop
%suse_update_desktop_file %{name} Application System Utility GTK FileManager
%suse_update_desktop_file pcmanfm-desktop-pref
%fdupes %{buildroot}
%find_lang %{name}


%post
%desktop_database_post


%postun
%desktop_database_postun


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ui
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/pcmanfm-desktop-pref.desktop
%{_mandir}/man1/pcmanfm.1.gz
%dir %{_sysconfdir}/xdg/pcmanfm
%dir %{_sysconfdir}/xdg/pcmanfm/default
%config %{_sysconfdir}/xdg/pcmanfm/default/pcmanfm.conf


%files lang -f %{name}.lang
%defattr(-,root,root,-)


%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-modules.h


%changelog
* Sun Dec 25 2016 trcs@gmx.com
- new upstream release 1.2.5
  * Removed options to Cut, Remove and Rename from context menu on
    mounted drive on the desktop, user might accidentally recursively
    remove its contents.
  * Removed 'Open in terminal' from context menu on folder on the
    desktop that cannot be opened in terminal.
  * Fixed invalid unref on CSS provider (GTK+ 3.0).
  * Fixed unwanted unselection of items when right-clicked the
    desktop.
  * Fixed endless loop in desktop items placement in some corner
    cases.
  * Fixed spelling error in the manual page.
  Changes on 1.2.4 since 1.2.3:
  * Workarounded a bug in gtk_file_chooser_set_file() function (patch
    from Simon Long).
  * Fixed single instance options cleanup that might affect next call.
  * Fixed wrong update of status text after folder update when there
    are selected files in the folder.
  * Disabled using desktop background from the GTK+ style since there
    is own color setting and changing the style may repaint the
    desktop.
  * Enforced desktop font update on the desktop resize with GTK+ 3.0.
  * Fixed items layout order to never be tried before desktop is
    realized.
  * Fixed item borders calculations when matching to pointer position.
  * Fixed forwarding events to root window, it could get unpaired
    events.
  * Fixed crash on too fast folder change with focus_previous=1.
  * Fixed stuck tooltip after click on the item.
  * Improved option to open folder in terminal, it should work with
    gvfs paths that have resolvable local path as well.
  * Fixed incorrect file names rendering position on the desktop.
  * Fixed not working Connect to Server... dialog when non-anonymous
    user is selected.
  * Fixed possible memory corruption in the Connect to Server...
    dialog.
  * Support explicit mention of scheme in the Server line of the
    Connect to Server... dialog, not duplicate it if it's present.
    That includes the https:// to fix support for secure WebDAV
    access as well.
- Removed all the previously added patches from Git: they are all
  now included upstream.
* Sat Oct 31 2015 trcs@gmx.com
- Added pcmanfm-1.2.3-Fix-GTK-file-chooser-bug.patch
  * Fix SF#916
- Added pcmanfm-1.2.3-Add-single-instance-options-cleanup.patch
  * Fix SF#943
- Added pcmanfm-1.2.3-Fix-status-text-after-folder-update.patch
  * Fix SF#948
- Added pcmanfm-1.2.3-Fix-desktop-background-repaint.patch
  * Fix SF#951
- Added pcmanfm-1.2.3-Enforce-desktop-font-update.patch
  * Fix SF#958
- Added pcmanfm-1.2.3-Delay-items-layout.patch
  * Fix SF#927
- Added pcmanfm-1.2.3-Fix-item-borders-calculations.patch
  * Fix SF#963
- Added pcmanfm-1.2.3-Fix-forwarding-events-to-root-window.patch
- Added pcmanfm-1.2.3-Fix-crash-on-too-fast-folder-change.patch
- Added pcmanfm-1.2.3-Fix-stuck-tooltip-after-click-on-the-item.patch
  * Fix SF#929
- Added pcmanfm-1.2.3-Improve-option-to-open-folder-in-terminal.patch
  * Fix SF#971
- Added pcmanfm-1.2.3-Fix-incorrect-file-names-rendering.patch
  * Fix SF#972
* Tue Oct 14 2014 trcs@gmx.com
- new upstream release 1.2.3
  * Disabled unrequested config save on changing dir if
    show_hidden changes.
  * Replaced deprecated atk_component_get_position() calls.
  * Fixed invalid callback get_image_position() on ATK icon, it
    could loop and therefore hang the application.
  * Increased delay on restoring scroller position from 20 to 50
    ms.
* Sun Aug 24 2014 trcs@gmx.com
- new upstream version 1.2.2
  * Fixed Ctrl+- and Ctrl+= key combinations for zooming.
  * Fixed compilation with libfm 1.1.x.
  * Disabled showing items on desktop that are being dragged,
    they should be at the mouse cursor, visually dragged instead.
  * Fixed setting of custom settings on wrong folders which were
    set on directory change where show hidden flag was different.
- Applied spec-cleaner
* Thu Jul  3 2014 trcs@gmx.com
- new upstream version 1.2.1
  * Fixed update desktop config from old settings.
  * Fixed 'Edit'->'Rename' menu item, it should be inactive if
    rename isn't supported.
  * Fixed install and uninstall for modules directory.
  * Port number shouldn't be added in Connect to Server dialog
    if port is default one.
  * Got rid of possible memory exhausting after changing
    wallpaper.
  * Fixed icons positioning when upper reserved area is not 0.
  * Fixed resetting cursor in location bar to beginning after
    navigation.
  * Corrected folder popup update on folder loading so context
    menu is now correct for the folder shown.
  * Fixed dragging and dropping icons behavior on desktop.
  * Correctly use screen number to display all the windows.
  * Added "System;FileTools;" into Categories for
    pcmanfm.desktop,
    those are recommended categories for the FileManager one.
  * Reordered 'View' menu items a bit to conform with HIG.
  * Implemented drawing icons of dragged items as cursor to see
    where they will end up dropped.
* Mon May 12 2014 andrea@opensuse.org
- fixed buildrequires to match the new libfm-gtk-devel subpackage
* Sun Feb 23 2014 trcs@gmx.com
- New upstream version 1.2.0
  * detailed changelog at http://blog.lxde.org/?p=1082
- Removed build compatibility with discontinued versions (<= 12.2)
- Disabled debug on configure to improve performance
- Built against GKT2 to override GTK3 issues
- Splitted devel package
* Sat Sep  7 2013 i@marguerite.su
- update version 1.1.2
  * fix “Daemon mode” not always works correctly.
  * Add missing #include “gseal-gtk-compat.h” into src/tab-page.c
  * Remove xml-purge to allow smooth cross-compilation,
    replace it with sed.
  * Add data sources to dist tarball, the make check needs them.
* Wed Jan  9 2013 swyear@gmail.com
- Explicit menu-cache as runtime dependency
* Wed Dec 19 2012 andrea@opensuse.org
- New upstream version 1.1.0
  * detailed changelog at http://blog.lxde.org/?p=951
- migration to gtk3 for suse > 12.2
- dropped support for suse < 11.4
* Sun Oct  7 2012 andrea@opensuse.org
- new upstream version 1.0.1
- removed pcmanfm-0.9.10-libm.patch
* Sun Aug 19 2012 andrea@opensuse.org
- new upstream version 1.0
  detailed changelog at: http://blog.lxde.org/?p=939
- removed pcmanfm-0.9.10-automake-1.12.patch
* Thu Jun  7 2012 pgajdos@suse.com
- fixed build with automake 1.12, inspired with fix for libfm
* Sat Dec  3 2011 gber@opensuse.org
- fix version number
- do not recompress tarball
- specify build dependencies correctly and remove unneeded ones
* Wed Nov 30 2011 gber@opensuse.org
- added pcmanfm-0.9.10-libm.patch in order to correctly link
  against libm
* Thu Oct 27 2011 andrea@opensuse.org
- new upstream version 0.9.10 rc4
  detailed changelog at: http://blog.lxde.org/?p=911
- removed pcmanfm-0.9.9-fix-no_return_in_non_void.patch and
  fix-link.patch
* Sat Sep 10 2011 coolo@suse.com
- fix build with newer ld
* Wed Aug 10 2011 andrea@opensuse.org
- new upstream version 0.9.9 rc3
  detailed changelog at: http://blog.lxde.org/?p=908
- removed pcmanfm-0.9.8-fixbnc648882.patch now in upstream code
- added pcmanfm-0.9.9-fix-no_return_in_non_void.patch to
  fix compiler warning
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Mon Nov  8 2010 andrea@opensuse.org
- added pcmanfm-0.9.8-fixbnc648882.patch from git code to fix
  bnc#648882
* Sat Oct 16 2010 andrea@opensuse.org
- new upstream version 0.9.8 RC2
  * Change path of config file from ~/.config/pcmanfm/<profile>.conf
    to ~/.config/pcmanfm/<profile>/pcmanfm.conf
  * make desktop icon moveable
  - Little fix for counting problems
  - fix after libfm API changes
  * Implement a more robust IPC mechanism to handle single instance
  * Create ~/Desktop for desktop manager if the folder
    doesn't exist
* Sat May 29 2010 andrea@opensuse.org
- new upstream version 0.9.7 RC1
- removed pcmanfm-rename-to-pcmanfm.patch, pacmanfm2 has been
  renamed pcmanfm even upstream finally
* Sun May 16 2010 andrea@opensuse.org
- new git version, translations updates and bugfixes
* Tue Apr 27 2010 andrea@opensuse.org
- translations updates
- minor code changes
* Sun Apr 25 2010 andrea@opensuse.org
- bump to version 0.9.5
- Command line improvments
- fix rename for desktop items
* Sat Apr 24 2010 andrea@opensuse.org
- Fix sf#2985899: segfault when there are no bookmarks
* Thu Apr 22 2010 andrea@opensuse.org
- Fix sf#2990189, Pressing Del when there is no selection
  crashes pcmanfm.
* Mon Apr 19 2010 andrea@opensuse.org
- new upstream version 0.9.4
  - Fix sf#2988985: Doesn't update location when using address
    bar and terminal, little fix for invalid pointer reference.
  - Fix sf#2979578 unable to open second pcmanfm instance sometimes
  - Fix sf#2985627: crash when starting without a window manager
* Sat Apr 10 2010 andrea@opensuse.org
- new git version 20100411
  - Improve single instance handling
  - Sync with API change in libfm for fm_canonicalize_filename()
  - fix for single instance handling
  - Fix file rename crash by F2 key when no files are
    selected bnc#593094
* Wed Mar 31 2010 andrea@opensuse.org
- Close tabs with middle click.
- Add supports for accelerator keys: XF86Back and XF86Forward
- Remove unused variables. Patch from (Naveen Kumar Molleti)
- Fix sf#2974159 "file sort not consistent" and also update the
  view menu properly when switching among different tabs
* Wed Mar 24 2010 andrea@opensuse.org
- new git version:
  - fixed SEGFAULTS
  - translations upgrades
  - build on new libfm API
* Mon Mar 22 2010 andrea@opensuse.org
- added polkit-gnome as runtime dependencie to allow automount
  to work properly
* Thu Mar 18 2010 andrea@opensuse.org
- upgrade to 0.9.3
* Tue Mar 16 2010 andrea@opensuse.org
- bug fixing and using new libfm APIs
* Sun Mar 14 2010 andrea@opensuse.org
- new git revision, is now possible to disable automount and
  autorun
- translations upgrades
- added rpmlintrc to suppress false positives warning
* Tue Mar  9 2010 andrea@opensuse.org
- new version 0.9.2, several bugfix
* Mon Mar  8 2010 andrea@opensuse.org
- New git snapshot 20100307
  * rebuild on new apis
* Fri Mar  5 2010 andrea@opensuse.org
- New git snapshot 20100305
  * Support creating new folders and blank files on desktop.
  * UI improvement for auto-run dialog.
  * Close auto-run dialog if the device is unmounted.
  * Implement auto-mount + auto-run for removable media.
  * Use different color for location entry if the user is
    root for warning.
* Tue Mar  2 2010 andrea@opensuse.org
- Fix cwd related bugs. commandline arguments works again
- Fixed provides/obsoletes pcmanfm2 on spec file
* Mon Mar  1 2010 andrea@opensuse.org
- added gvfs-backends as dependency
* Mon Mar  1 2010 andrea@opensuse.org
- added pcmanfm-rename-to-pcmanfm.patch
  we finally switch to pcmanfm2 as default filemanger
* Sat Feb 27 2010 andrea@opensuse.org
- Add "Open in Terminal" to popup menu of desktop items
- Little fixes
* Sat Feb 27 2010 andrea@opensuse.org
- Support opening folder in new tab with middle click
- Little UI adjustment
- Enable debug with --enable-debug to help development
* Fri Feb 26 2010 andrea@opensuse.org
- split out -lang subpackage
- improved package description
* Fri Feb 26 2010 andrea@opensuse.org
- fixed segfault with hidden files
* Mon Feb 22 2010 andrea@opensuse.org
- fixed fatal compiler warnings
* Sun Feb 21 2010 andrea@opensuse.org
- new released tarball 0.9 alpha
* Sun Feb 21 2010 andrea@opensuse.org
- new features and fixed API changes in libfm
* Sat Feb 20 2010 andrea@opensuse.org
- new git snapshot, fixed API changes in libfm
* Thu Feb 18 2010 andrea@opensuse.org
- new git snapshot, now with thumbnail support
* Wed Feb 17 2010 andrea@opensuse.org
- new git snaphot, several bug fixes and modification to use new
  libfm api
* Wed Feb 10 2010 andrea@opensuse.org
- new git snapshot
* Sun Jan 31 2010 andrea@opensuse.org
- new git version, add translations support and bug fix
* Tue Jan 26 2010 andrea@opensuse.org
- several improvments and added desktop icon
* Sun Jan 24 2010 andrea@opensuse.org
- Fix seg faults by calling pango_layout_context_changed()
  caused by stupid typos.
* Mon Jan 18 2010 andrea@opensuse.org
- new git version
* Tue Jan 12 2010 andrea@opensuse.org
- switch to pcmanfm2
* Tue Dec 22 2009 andrea@opensuse.org
- added "%%bcond_with trash_desktop_icons" to disable
  beta trash support
* Mon Dec 14 2009 andrea@opensuse.org
- fixed no-return-in-non-void error
* Sat Dec 12 2009 andrea@opensuse.org
- added some patches from Fedora
* Wed Oct 28 2009 andrea@opensuse.org
- New upstream version 0.5.2
* Tue Sep 29 2009 Andrea Florio <andrea@opensuse.org> 0.5.1
- added trash support
- added "desktop movment" support.
* Wed Jul 29 2009 Andrea Florio <andrea@opensuse.org> 0.5.1
- removed previous patch, because pcman is no more working
* Sat Jul 18 2009 Pavol Rusnak <prusnak@suse.cz> 0.5.1
- fixed gcc errors (return.patch)
* Thu May 21 2009 Andrea Florio <andrea@opensuse.org> 0.5
- new package
